Description

We use only LTR (currently 2.14), working in UK. We keep an Ordnance Survey folder of svg files for MasterMap (folder name:
osmmsymbols) in the folder at C:\\Program Files\QGIS 2.14\\apps\\qgis-ltr\\svg. Whenever we upgrade PCs, e.g. from 2.14.11 to
2.14.12, the 'osmmsymbols' is lost from the aforementioned Program Files folder. So, for every PC we upgrade, we have to always copy
and paste this folder from another location.

We have almost 50 PCs using QGIS, and there are upgrades every month or two, so it causes quite a lot of extra work, which seems like
it should not be necessary. Perhaps it is a problem rather specific to UK OS MasterMap users, but | guess it would apply to any users who
use svg folders located within the same apps\\qgis-Itr\\svg folder.

Perhaps it could be resolved in the upgrade process by detecting svg subfolders that are not 'core’, and making a temp copy to then paste
into the recreated apps\\qgis-Iti\\svg folder near the end of the process.

Or, perhaps we could ask Ordnance Survey to collaborate with QGIS developers by submitting their svg folder for inclusion as a core svg
folder, though they may not like this idea if they want to maintain a less-than-open copyright on those symbols.

History

#1 - 2017-05-01 12:44 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-05-10 05:25 PM - Regis Haubourg

- Priority changed from Normal to Low

- Description updated

Installing local ressources in the binaries folder of a software is not a good idea.

I think it would be advisable to handle that differently, and in the same move managing all your QGIS install more easily:

- Create a shared network folder for SVG, plugins and whatever you need to have mutualised between all installed QGIS instances

- Create or reuse a shared network for Application data in windows. There are some rules to follow for APPDATA handling, and you can this way have all
your QGIS user share (and save) their user profiles in the same place

- Modify .bat startup script to add -- configpath options to move QGIS profile to the APPDATA folder

- Apply a default QGIS2.ini file for new users, and maintain existing one using scripts (session startup scripts for instance) to make sure each QGIS config
adds the additional SVG path (and the same is possible for plugins).

See [[http://osgeo-org.1560.x6.nabble.com/Using-environment-variables-in-path-definitions-in-QGIS-td5212209.html]] for a complete discussion on that.

By the way, another tip would be to use the OSGEO4W installer, and make sure all your QGIS are installed in always the same folder name, like
http://osgeo-org.1560.x6.nabble.com/Using-environment-variables-in-path-definitions-in-QGIS-td5212209.html

C:/OSGEO4W for instance.

Upgrading, automating sys admin tasks will be a lot easier.

#3 - 2017-10-31 01:39 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

Closing this as a "wont-fix". | think it needs to be resolved by either:

1. Creating a custom install package which includes your svgs in the installed data

or (better)

2. Have a post-install script which auto sets up QGIS for use in your environment, including adding SVG search paths to non-install folders containing
these extra SVG files.
